%define name 	x264
%define version 0.%major
%define date 20120914
%define time 2245
%define release %mkrel -c %date.stable 3

%define major   125
%define libname %mklibname %{name}_ %major
%define develname %mklibname -d %name
%define fname %{name}-snapshot-%date-%{time}-stable

Summary: 	H264/AVC encoder
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%fname.tar.bz2
Patch1:		x264-use-upstream-opt-level.diff

License: 	GPLv2+
Group: 		Video/Utilities
Url: 		http://x264.nl/

BuildRequires:	gpac-devel
BuildRequires:	yasm
BuildRequires:	git-core
BuildRequires:	libx11-devel
BuildRequires:	ffmpeg-devel

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n %{libname}
Summary: Shared library of x264
Group: System/Libraries

%description -n %{libname}
x264 dynamic libraries

%package -n %develname
Summary: H264/AVC encoding library headers
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel
Obsoletes: %mklibname -d %{name}_ 54

%description -n %develname
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

%prep
%setup -q -n %fname
perl -pi -e 's|usr/local|usr||g' configure
%patch1 -p0

%build
%configure2_5x --enable-shared \
	       --enable-pic \
	       --enable-visualize \
	       --enable-static
%make

%install
%makeinstall_std

%files
%doc AUTHORS doc/*
%_bindir/%name

%files -n %{libname}
%_libdir/libx264.so.%{major}*

%files -n %develname
%_libdir/libx264.a
%_libdir/libx264.so
%_includedir/*.h
%_libdir/pkgconfig/*.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.125-0.20120914.stable.3.mga3
+ Revision: 386403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.125-0.20120914.stable.2.mga3.tainted
+ Revision: 341769
- update rpm group
- rebuild for new ffmpeg

* Sat Sep 15 2012 fwang <fwang> 0.125-0.20120914.stable.1.mga3.tainted
+ Revision: 294210
- new snapshot

* Wed Mar 07 2012 anssi <anssi> 0.120-0.20120306.stable.1.mga2.tainted
+ Revision: 221318
- new snapshot
- switch to stable branch

* Wed Jan 11 2012 luigiwalser <luigiwalser> 0.120-0.20111212.2.mga2.tainted
+ Revision: 194833
- use configure2_5x macro
- don't override upstream optimization level -O3

* Tue Dec 13 2011 fwang <fwang> 0.120-0.20111212.1.mga2.tainted
+ Revision: 181275
- new major
- use master
- new snapshot 20111212

* Fri Jun 24 2011 fwang <fwang> 0.115-0.20110623.1.mga2.tainted
+ Revision: 112932
- build static libs
- new snapshot required by ffmpeg 0.8

* Sat May 07 2011 mikala <mikala> 0.110-0.20101203.2.mga1
+ Revision: 95796
- Clean Spec
- Remove plf reference
- imported package x264

